

#include <avr/io.h>
#include "Z_USART.h"
#include "Z_SPI.h"
#include "w5500.h"
#include "socket.h"
#include "HTTP_Server.h"

int main(void)
{

    UART_Init(9600);  //UART Initialization
    SPI_MasterInit();  //SPI Initialization
	
	
	/*********** Network Initialization  *************/
	
	//setMR(MR_RST);  //Reset W5500
	//wizchip_sw_reset();  //Reset W5500, retain basic network info
	setSn_RXBUF_SIZE(0, 0x02);	//Set Socket Rx Buffer Size
	setSn_TXBUF_SIZE(0, 0x04);	//Set Socket Tx Buffer Size
	
	wiz_NetInfo netInfo = {
		.mac  = {0x00, 0x08, 0xdc, 0xab, 0xcd, 0xef}, // Mac address
		.ip   = {192, 168, 1, 124},         // IP address
		.sn   = {255, 255, 255, 0},         // Subnet mask
		.dns =  {8,8,8,8},			  // DNS address (google dns)
		.gw   = {192, 168, 0, 1}, // Gateway address
		.dhcp = NETINFO_STATIC
	};    //Static IP configuration
	
	wizchip_setnetinfo(&netInfo);  // Set Basic networking Settings
	
	/* Create Socket 0 for Web Server Port 80-TCP */
	if (socket(0,MR_TCP,80,0x00)==0)  // socket created successfully
	{ 	}
	else  //Failed to create the socket
	{	}
	
	UART_SendString("\n\r\n\r=========================================\n\r");
	UART_SendString("Network Initialized:\n\r");
	UART_SendString("=========================================\n\r");

	
    while (1) 
    {
		httpServer_run(0); 
    }
}

